.\" Copyright (C) 2001 Information-technology Promotion Agency (IPA)
.\" Copyright (C) 2001-2011
.\"   National Institute of Advanced Industrial Science and Technology (AIST)
.\" This file is part of the m17n library documentation.
.\" Permission is granted to copy, distribute and/or modify this document
.\" under the terms of the GNU Free Documentation License, Version 1.2 or
.\" any later version published by the Free Software Foundation; with no
.\" Invariant Section, no Front-Cover Texts,
.\" and no Back-Cover Texts.  A copy of the license is included in the
.\" appendix entitled "GNU Free Documentation License".
.TH "mdbFontSize" 5 "12 Jan 2011" "Version 1.6.2" "The m17n Library" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mdbFontSize \- Font Size 
.SH "DESCRIPTION"
.PP
In some case, a font contains incorrect information about its size (typically in the case of a hacked TrueType font), which results in a bad text layout when such a font is used in combination with the other fonts. To overcome this problem, the m17n library loads information about font\-size adjustment from the m17n database by the tags <font, resize>. The data is loaded as a plist of this format.
.PP
.PP
.nf

FONT\-SIZE\-ADJUSTMENT ::= PER\-FONT *

PER\-FONT ::= '(' FONT\-SPEC ADJUST\-RATIO ')'

FONT\-SPEC ::=
    '(' [ FOUNDRY FAMILY
    	  [ WEIGHT [ STYLE [ STRETCH [ ADSTYLE ]]]]]
	REGISTRY ')'

ADJUST\-RATIO ::= INTEGER
.fi
.PP
.PP
\fCFONT\-SPEC\fP is to specify properties of a font. \fCFOUNDRY\fP to \fCREGISTRY\fP are symbols corresponding to Mfoundry to Mregistry property of a font. See \fBm17nFont\fP for the meaning of each property.
.PP
\fCADJUST\-RATIO\fP is an integer number specifying by percentage how much the font\-size must be adjusted. For instance, this \fCPER\-FONT\fP:
.PP
.PP
.nf

    ((devanagari\-cdac) 150)
.fi
.PP
.PP
instructs the font handler of the m17n library to open a font of 1.5 times bigger than a requested size on opening a font whose registry is 'devanagari\-cdac'. 
.SH COPYRIGHT
Copyright (C) 2001 Information\-technology Promotion Agency (IPA)
.br
Copyright (C) 2001\-2011 National Institute of Advanced Industrial Science and Technology (AIST)
.br
Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License 
<http://www.gnu.org/licenses/fdl.html>.
